import click

import xhiveframework


def execute():
	xhiveframework.delete_doc_if_exists("DocType", "Chat Message")
	xhiveframework.delete_doc_if_exists("DocType", "Chat Message Attachment")
	xhiveframework.delete_doc_if_exists("DocType", "Chat Profile")
	xhiveframework.delete_doc_if_exists("DocType", "Chat Token")
	xhiveframework.delete_doc_if_exists("DocType", "Chat Room User")
	xhiveframework.delete_doc_if_exists("DocType", "Chat Room")
	xhiveframework.delete_doc_if_exists("Module Def", "Chat")

	click.secho(
		"Chat Module is moved to a separate app and is removed from XhiveFramework in version-13.\n"
		"Please install the app to continue using the chat feature: https://github.com/xhiveframework/chat",
		fg="yellow",
	)
